AOZ Studio Beta - Bug #358

SCROLL leaves previous image when scrolling with transparancy
04/25/2020 12:23 PM - Paul Kitching

Status: Resolved Start date: 04/25/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 3:00 hours
Target version:

Affected version: 1.0.0 (B10) u16

Description

Normally the SCROLL command will scroll the defined area as specified by the DEF SCROLL command, without leaving any
evidence of the previous frame before the scroll, but if you SET TRANSPARENT 0, then scroll, the previous pixels are still visible.
This smears the scroll area across the screen.

#manifest: "pc"
#displayWidth:1920
#displayHeight:1080
#fullScreen:true
#splashScreen:false
#fps:false
set transparent O
def scroll 1,20,20 to 100,400,0,5
ink 6
text 50,50, "test"
do

scroll 1

wait vbl
loop

Remove the SET TRANSPARENT 0 line to see how it should work.
History

#1 - 08/04/2020 02:11 PM - Paul Kitching
- Affected version changed from 0.9.8.1 to 0.9.9.4

#2 - 09/19/2020 02:20 PM - Brian Flanagan
- Estimated time set to 3:00 h
- Affected version changed from 0.9.9.4 to Beta RC2

Retested in Beta RC2. Still a problem.

#3 - 11/17/2020 09:01 PM - Paul Kitching
- Affected version changed from Beta RC2 to Beta 1

Updated affected version to Beta 1

#4 - 02/24/2021 08:04 PM - Paul Kitching
- Affected version changed from Beta 1 to 1.0.0 (B4)

Still a problem in Beta 4.

#5 - 09/19/2021 06:05 PM - Paul Kitching
- Affected version changed from 1.0.0 (B4) to 1.0.0 (B10) u16
Still the same in Beta 10.

#6 - 09/28/2021 05:59 PM - Francois Lionet

- Status changed from New to Resolved

Fixed! And other bugs too.
